### Method

# AppStream ContentRating set_value

since: 0.11.0

#### Declaration [src]

    void
    as_content_rating_set_value (
      AsContentRating* content_rating,
      const gchar* id,
      AsContentRatingValue value
    )

#### Description [src]

Sets the value of a content rating key.

Available since: 0.11.0

#### Parameters

`id`

  Type: `const gchar*`

  A ratings ID, e.g. `violence-bloodshed`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `AsContentRatingValue`

  A `AsContentRatingValue`, e.g. `AS_CONTENT_RATING_VALUE_INTENSE`.